#pragma once
#include "RenderTechnique.h"

/**
	@brief Base abstract class of rendering a caustic reciever object.	
*/
class CausticRecieverRenderTechnique : virtual public RenderTechnique
{
public:
	/**
		@brief Constructor.

		@param parentRenderable			the object to operate on
		@param parentTechniqueGroup		the TechniqueGroup this RenderedTechnique is attached to
	*/
	CausticRecieverRenderTechnique( 
							ElementaryRenderable* parentRenderable,
							TechniqueGroup* parentTechniqueGroup
							);
	~CausticRecieverRenderTechnique();	
	
protected:		
	
};