#include "CausticCubeMapRenderingRun.h"



CausticCubeMapRenderingRun::CausticCubeMapRenderingRun(unsigned long startFrame,
														unsigned long updateInterval,
														unsigned int resolution,
														bool updateAllFace)
														:RenderingRun(startFrame, updateInterval)
{
	this->resolution = resolution;
	this->updateAllFace = updateAllFace;
	currentFace = 0;
}

void CausticCubeMapRenderingRun::updateFrame(unsigned long frameNum)
{
	
	if(updateAllFace)
	{
		for(int i=0;i<6;i++)
		{
			updateCubeFace(i);
		}
	}
	else
	{
		if(lastupdated == -1 && updateInterval == 0)
		{
			for(int i=0;i<6;i++)
			{
				updateCubeFace(i);
			}
		}
		else
		{
			if(faceNeedsUpdate(currentFace))
				updateCubeFace(currentFace);

			currentFace = (currentFace + 1) % 6;
		}
	}
}
